#ifdef QFLIPCLOCK_WIDGET
#include "qmaemo5homescreenadaptor.h"
#include "qflipclock-widget.h"
#else
#include "qflipclock-standalone.h"
#endif

#include <QtGui>

int main(int argc, char *argv[])
{
#ifdef Q_WS_MAEMO_5
    QApplication::setGraphicsSystem("native");
#endif

    QApplication app(argc, argv);

#ifdef QFLIPCLOCK_WIDGET
    QFlipClock_Widget w;
    QMaemo5HomescreenAdaptor *adaptor = new QMaemo5HomescreenAdaptor(&w);
    adaptor->setSettingsAvailable(true);
    QObject::connect(adaptor, SIGNAL(settingsRequested()), &w, SLOT(showSettingsDialog()));
    QObject::connect(adaptor, SIGNAL(homescreenChanged(bool)), &w, SLOT(homescreenChangedHook(bool)));
#else
    QFlipClock_App w;
#endif

    w.show();

    app.exec();
}
